Hi
    Just find in Geronimo 2.2/3.0, we shipped two ASM packages, one is the native ASM package, another is xbean-asm-shad, seems that the later one is required by openejb-core/openejb-server. So just wonder whether the latter one is a must package ? Or do we have to ship both of them ?
    Also, sometimes, while starting Geronimo 3.0 server, a CNF exception for ASM package is thrown by xbean-reflect, after checking xbean-reflect, it both marks native ASM and the shaded ASM as optional, so it will be not clear which version is used in the runtime.
--
Ivan